﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ohjaus6_2012
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private int yhteensa = 0;
        Point startPoint = new Point(0, 0);

        public MainWindow()
        {
            InitializeComponent();

        }
        private void LaskuriChanged(object sender, RoutedPropertyChangedEventArgs<int> e)
        {
            yhteensa = yhteensa + e.NewValue - e.OldValue;
            labelKaikki.Content = yhteensa.ToString();
        }

        private void autolaskuriControl2_LaskuriChanged(object sender, RoutedPropertyChangedEventArgs<int> e)
        {
            label1.Content = e.NewValue.ToString();
        }

        private void labelKaikki_MouseMove(object sender, MouseEventArgs e)
        {
            Point mousePos = e.GetPosition(null);
            Vector diff = startPoint - mousePos;

            if (e.LeftButton == MouseButtonState.Pressed &&
                Math.Abs(diff.X) > SystemParameters.MinimumHorizontalDragDistance ||
                Math.Abs(diff.Y) > SystemParameters.MinimumVerticalDragDistance)
            {
                DataObject dragData = new DataObject(DataFormats.Text, ((Label)sender).Content);
                DragDrop.DoDragDrop((Label)sender, dragData, DragDropEffects.Move);
            }
        }

        private void labelKaikki_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            startPoint = e.GetPosition(null);
        }
    }
}
